# ExternalSubLogger (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Host.External

## Class ExternalSubLogger

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.SubLogger
  - - net.ME1312.SubServers.Bungee.Host.External.ExternalSubLogger

    public class ExternalSubLogger
    extends SubLogger

External Process Logger Class

### Nested Class Summary

### Nested classes/interfaces inherited from class net.ME1312.SubServers.Bungee.Host.SubLogger

`SubLogger.LogMessage`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.UUID` `getExternalAddress()` Get the External Logger Address
`java.lang.Object` `getHandler()` Gets the Object using this Logger
`java.util.List<SubLogger.LogMessage>` `getMessageHistory()` Gets a list of all the messages logged by this logger
`java.lang.String` `getName()` Gets the Name of the task logging
`boolean` `isLogging()` Get if the Logger is currently logging
`void` `log(java.lang.String line)` Log a Message
`void` `registerFilter(SubLogFilter filter)` Register Filter
`void` `start()` Start Logger
`void` `stop()` Stop Logger
`void` `unregisterFilter(SubLogFilter filter)` Unregister Filter

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### start

    public void start()

Description copied from class: `SubLogger`
Start Logger

Specified by:
  `start` in class `SubLogger`

#### getExternalAddress

    public java.util.UUID getExternalAddress()

Get the External Logger Address

Returns:
  External Address

#### log

    public void log(java.lang.String line)

Log a Message

Parameters:
  `line` - Message

#### registerFilter

    public void registerFilter(SubLogFilter filter)

Description copied from class: `SubLogger`
Register Filter

Specified by:
  `registerFilter` in class `SubLogger`
Parameters:
  `filter` - Filter

#### unregisterFilter

    public void unregisterFilter(SubLogFilter filter)

Description copied from class: `SubLogger`
Unregister Filter

Specified by:
  `unregisterFilter` in class `SubLogger`
Parameters:
  `filter` - Filter

#### stop

    public void stop()

Description copied from class: `SubLogger`
Stop Logger

Specified by:
  `stop` in class `SubLogger`

#### getHandler

    public java.lang.Object getHandler()

Description copied from class: `SubLogger`
Gets the Object using this Logger

Specified by:
  `getHandler` in class `SubLogger`
Returns:
  Object

#### getName

    public java.lang.String getName()

Description copied from class: `SubLogger`
Gets the Name of the task logging

Specified by:
  `getName` in class `SubLogger`
Returns:
  Log Task Name

#### isLogging

    public boolean isLogging()

Description copied from class: `SubLogger`
Get if the Logger is currently logging

Specified by:
  `isLogging` in class `SubLogger`
Returns:
  Logging Status

#### getMessageHistory

    public java.util.List<SubLogger.LogMessage> getMessageHistory()

Description copied from class: `SubLogger`
Gets a list of all the messages logged by this logger

Specified by:
  `getMessageHistory` in class `SubLogger`
Returns:
  Log Messages (named by log level)